// IPluginHelper.aidl
package com.qihoo.appstore.plugin.huajiao;
import com.qihoo.appstore.plugin.huajiao.IPluginHelperServiceResult;
import android.os.Bundle;
// Declare any non-default types here with import statements

interface IPluginHelperService {
    /**
    * 调用助手登录，获取账号信息
    * onResult
    * 当resultCode等于0时，resultData为json格式的用户信息
    * v5.0.90添加的接口
    * */
    void login(IPluginHelperServiceResult onResult);

    /**
    * 获取用户信息
    * @param onResult 获取用户信息回调
    * v5.0.90添加的接口
    * */
    void getUserInfo(IPluginHelperServiceResult onResult);

    /*
    * 获取用户信息，同步方法
    * v7.0.85添加的接口
    */
    Bundle getLoginInfo();

    /*
    * 退出登录
    * v7.0.85添加的接口
    */
    void logout(IPluginHelperServiceResult onResult);
}
