// IPluginHelperServiceResult.aidl
package com.qihoo.appstore.plugin.huajiao;

// Declare any non-default types here with import statements

interface IPluginHelperServiceResult {

    /**
    	 * 回调函数
    	 * @param resultCode 返回状态码
    	 *        SUCCEEDED = 0;//登录成功
                  FAILED = -1;//登录失败
                  CANCEL = -2;//取消登录
    	 * @param resultData 回调json格式数据
         * resultData：登录成功，回调json格式数据为：
               {
                	"accountName": "账号",
                	"qid": "171977432",
                	"qt": "Q=u%3D%25Q0%25N1%25PQ%25R1pll%26n%3D%25Q0%25N1%25PQ%25R1pll%26le%3DAQNlZQR5BQt3WGDjpKRhL29g%26m%3DZGt1WGWOWGWOWGWOWGWOWGWOAwx0%26qid%3D171977432%26im%3D1_t01c8231599260e8c57%26src%3Dmpl_zhushou%26t%3D1;T=s%3Dfbe8bf5f532f0638e4792f69aaeb2b29%26t%3D1495438581%26lm%3D%26lf%3D2%26sk%3D6e3f5f74958b6714f2d7561dbf11601b%26mt%3D1495438581%26rc%3D%26v%3D2.0%26a%3D1",
                	"userName": "用户名",
                	"nickName": "昵称",
                	"avatorUrl": "头像url",
                	"secEmail": "密保邮箱",
                	"mobile": "手机号码",
                	"model": "手机型号"
                }
    	 */
    void onResult(int resultCode, String resultData);
}
